<!DOCTYPE HTML>
<html lang="es">
<head>
<!-- Generated by javadoc (20) on Thu Apr 27 09:20:17 CEST 2023 -->
<title>S-Index</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2023-04-27">
<meta name="description" content="index: S">
<meta name="generator" content="javadoc/IndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.6.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="index-page">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top"><button id="navbar-toggle-button" aria-controls="navbar-top" aria-expanded="false" aria-label="Toggle navigation links"><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span></button>
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html#index">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div id="navbar-sub-list"></div>
<div class="nav-list-search"><a href="../search.html">SEARCH</a>
<input type="text" id="search-input" disabled placeholder="Search">
<input type="reset" id="reset-button" disabled value="reset">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">P</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<a href="index-17.html">V</a>&nbsp;<a href="index-18.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../constant-values.html">Constant&nbsp;Field&nbsp;Values</a><span class="vertical-separator">|</span><a href="../serialized-form.html">Serialized&nbsp;Form</a>
<h2 class="title" id="I:S">S</h2>
<dl class="index">
<dt><a href="../com/eoi/springwebsecurity/filemanagement/services/FileSystemStorageService.html#save(org.springframework.web.multipart.MultipartFile)" class="member-name-link">save(MultipartFile)</a> - Method in interface com.eoi.springwebsecurity.filemanagement.services.<a href="../com/eoi/springwebsecurity/filemanagement/services/FileSystemStorageService.html" title="interface in com.eoi.springwebsecurity.filemanagement.services">FileSystemStorageService</a></dt>
<dd>
<div class="block">Guarda el archivo proporcionado en el almacenamiento.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/filemanagement/services/FileSystemStorageServiceImpl.html#save(org.springframework.web.multipart.MultipartFile)" class="member-name-link">save(MultipartFile)</a> - Method in class com.eoi.springwebsecurity.filemanagement.services.<a href="../com/eoi/springwebsecurity/filemanagement/services/FileSystemStorageServiceImpl.html" title="class in com.eoi.springwebsecurity.filemanagement.services">FileSystemStorageServiceImpl</a></dt>
<dd>
<div class="block">Guarda el archivo en el directorio de almacenamiento de archivos.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/security/service/UserService.html#saveUser(com.eoi.springwebsecurity.coreapp.dto.UserDto)" class="member-name-link">saveUser(UserDto)</a> - Method in interface com.eoi.springwebsecurity.security.service.<a href="../com/eoi/springwebsecurity/security/service/UserService.html" title="interface in com.eoi.springwebsecurity.security.service">UserService</a></dt>
<dd>
<div class="block">Save user.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/security/service/UserServiceImpl.html#saveUser(com.eoi.springwebsecurity.coreapp.dto.UserDto)" class="member-name-link">saveUser(UserDto)</a> - Method in class com.eoi.springwebsecurity.security.service.<a href="../com/eoi/springwebsecurity/security/service/UserServiceImpl.html" title="class in com.eoi.springwebsecurity.security.service">UserServiceImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/eoi/springwebsecurity/filemanagement/services/FileSystemStorageService.html#saveUserFile(org.springframework.web.multipart.MultipartFile,java.lang.Long)" class="member-name-link">saveUserFile(MultipartFile, Long)</a> - Method in interface com.eoi.springwebsecurity.filemanagement.services.<a href="../com/eoi/springwebsecurity/filemanagement/services/FileSystemStorageService.html" title="interface in com.eoi.springwebsecurity.filemanagement.services">FileSystemStorageService</a></dt>
<dd>
<div class="block">Save user file.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/filemanagement/services/FileSystemStorageServiceImpl.html#saveUserFile(org.springframework.web.multipart.MultipartFile,java.lang.Long)" class="member-name-link">saveUserFile(MultipartFile, Long)</a> - Method in class com.eoi.springwebsecurity.filemanagement.services.<a href="../com/eoi/springwebsecurity/filemanagement/services/FileSystemStorageServiceImpl.html" title="class in com.eoi.springwebsecurity.filemanagement.services">FileSystemStorageServiceImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/eoi/springwebsecurity/security/config/SecurityConfig.html" class="type-name-link" title="class in com.eoi.springwebsecurity.security.config">SecurityConfig</a> - Class in <a href="../com/eoi/springwebsecurity/security/config/package-summary.html">com.eoi.springwebsecurity.security.config</a></dt>
<dd>
<div class="block">La anotación @Configuration indica que esta clase se utilizará como una fuente de definiciones de beans para el contexto de la aplicación.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/security/config/SecurityConfig.html#%3Cinit%3E()" class="member-name-link">SecurityConfig()</a> - Constructor for class com.eoi.springwebsecurity.security.config.<a href="../com/eoi/springwebsecurity/security/config/SecurityConfig.html" title="class in com.eoi.springwebsecurity.security.config">SecurityConfig</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/eoi/springwebsecurity/security/controllers/ForgotPasswordController.html#sendEmail(java.lang.String,java.lang.String)" class="member-name-link">sendEmail(String, String)</a> - Method in class com.eoi.springwebsecurity.security.controllers.<a href="../com/eoi/springwebsecurity/security/controllers/ForgotPasswordController.html" title="class in com.eoi.springwebsecurity.security.controllers">ForgotPasswordController</a></dt>
<dd>
<div class="block">Send email.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/websockets/controllers/GreetingController.html#sendToSpecificUser(com.eoi.springwebsecurity.websockets.messages.PrivateMessage)" class="member-name-link">sendToSpecificUser(PrivateMessage)</a> - Method in class com.eoi.springwebsecurity.websockets.controllers.<a href="../com/eoi/springwebsecurity/websockets/controllers/GreetingController.html" title="class in com.eoi.springwebsecurity.websockets.controllers">GreetingController</a></dt>
<dd>
<div class="block">Send to specific user.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/coreapp/entities/User.html#serialVersionUID" class="member-name-link">serialVersionUID</a> - Static variable in class com.eoi.springwebsecurity.coreapp.entities.<a href="../com/eoi/springwebsecurity/coreapp/entities/User.html" title="class in com.eoi.springwebsecurity.coreapp.entities">User</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/eoi/springwebsecurity/filemanagement/controllers/FileController.html#serveFile(java.lang.String)" class="member-name-link">serveFile(String)</a> - Method in class com.eoi.springwebsecurity.filemanagement.controllers.<a href="../com/eoi/springwebsecurity/filemanagement/controllers/FileController.html" title="class in com.eoi.springwebsecurity.filemanagement.controllers">FileController</a></dt>
<dd>
<div class="block">Método que se encarga de descargar un archivo desde el servidor.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/websockets/messages/Greeting.html#setContent(java.lang.String)" class="member-name-link">setContent(String)</a> - Method in class com.eoi.springwebsecurity.websockets.messages.<a href="../com/eoi/springwebsecurity/websockets/messages/Greeting.html" title="class in com.eoi.springwebsecurity.websockets.messages">Greeting</a></dt>
<dd>
<div class="block">Sets content.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/filemanagement/models/ResponseMessage.html#setMessage(java.lang.String)" class="member-name-link">setMessage(String)</a> - Method in class com.eoi.springwebsecurity.filemanagement.models.<a href="../com/eoi/springwebsecurity/filemanagement/models/ResponseMessage.html" title="class in com.eoi.springwebsecurity.filemanagement.models">ResponseMessage</a></dt>
<dd>
<div class="block">Sets message.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/coreapp/entities/User.html#setName(java.lang.String)" class="member-name-link">setName(String)</a> - Method in class com.eoi.springwebsecurity.coreapp.entities.<a href="../com/eoi/springwebsecurity/coreapp/entities/User.html" title="class in com.eoi.springwebsecurity.coreapp.entities">User</a></dt>
<dd>
<div class="block">Sets name.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/websockets/messages/HelloMessage.html#setName(java.lang.String)" class="member-name-link">setName(String)</a> - Method in class com.eoi.springwebsecurity.websockets.messages.<a href="../com/eoi/springwebsecurity/websockets/messages/HelloMessage.html" title="class in com.eoi.springwebsecurity.websockets.messages">HelloMessage</a></dt>
<dd>
<div class="block">Sets name.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/websockets/messages/PrivateMessage.html#setTo(java.lang.String)" class="member-name-link">setTo(String)</a> - Method in class com.eoi.springwebsecurity.websockets.messages.<a href="../com/eoi/springwebsecurity/websockets/messages/PrivateMessage.html" title="class in com.eoi.springwebsecurity.websockets.messages">PrivateMessage</a></dt>
<dd>
<div class="block">Sets to.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/coreapp/controllers/MainController.html#showAdminPage()" class="member-name-link">showAdminPage()</a> - Method in class com.eoi.springwebsecurity.coreapp.controllers.<a href="../com/eoi/springwebsecurity/coreapp/controllers/MainController.html" title="class in com.eoi.springwebsecurity.coreapp.controllers">MainController</a></dt>
<dd>
<div class="block">Show admin page string.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/security/controllers/ForgotPasswordController.html#showForgotPasswordForm()" class="member-name-link">showForgotPasswordForm()</a> - Method in class com.eoi.springwebsecurity.security.controllers.<a href="../com/eoi/springwebsecurity/security/controllers/ForgotPasswordController.html" title="class in com.eoi.springwebsecurity.security.controllers">ForgotPasswordController</a></dt>
<dd>
<div class="block">Show forgot password form string.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/security/controllers/RegisterController.html#showRegistrationForm(org.springframework.ui.Model)" class="member-name-link">showRegistrationForm(Model)</a> - Method in class com.eoi.springwebsecurity.security.controllers.<a href="../com/eoi/springwebsecurity/security/controllers/RegisterController.html" title="class in com.eoi.springwebsecurity.security.controllers">RegisterController</a></dt>
<dd>
<div class="block">Show registration form string.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/security/controllers/ForgotPasswordController.html#showResetPasswordForm(java.lang.String,org.springframework.ui.Model)" class="member-name-link">showResetPasswordForm(String, Model)</a> - Method in class com.eoi.springwebsecurity.security.controllers.<a href="../com/eoi/springwebsecurity/security/controllers/ForgotPasswordController.html" title="class in com.eoi.springwebsecurity.security.controllers">ForgotPasswordController</a></dt>
<dd>
<div class="block">Show reset password form string.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/coreapp/controllers/MainController.html#showUserPage()" class="member-name-link">showUserPage()</a> - Method in class com.eoi.springwebsecurity.coreapp.controllers.<a href="../com/eoi/springwebsecurity/coreapp/controllers/MainController.html" title="class in com.eoi.springwebsecurity.coreapp.controllers">MainController</a></dt>
<dd>
<div class="block">Show user page string.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/websockets/controllers/GreetingController.html#simpMessagingTemplate" class="member-name-link">simpMessagingTemplate</a> - Variable in class com.eoi.springwebsecurity.websockets.controllers.<a href="../com/eoi/springwebsecurity/websockets/controllers/GreetingController.html" title="class in com.eoi.springwebsecurity.websockets.controllers">GreetingController</a></dt>
<dd>
<div class="block">The Simp messaging template.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/filemanagement/models/FileInfo.html#size" class="member-name-link">size</a> - Variable in class com.eoi.springwebsecurity.filemanagement.models.<a href="../com/eoi/springwebsecurity/filemanagement/models/FileInfo.html" title="class in com.eoi.springwebsecurity.filemanagement.models">FileInfo</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/eoi/springwebsecurity/SpringWebSecurityApplication.html" class="type-name-link" title="class in com.eoi.springwebsecurity">SpringWebSecurityApplication</a> - Class in <a href="../com/eoi/springwebsecurity/package-summary.html">com.eoi.springwebsecurity</a></dt>
<dd>
<div class="block">The type Spring web security application.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/SpringWebSecurityApplication.html#%3Cinit%3E()" class="member-name-link">SpringWebSecurityApplication()</a> - Constructor for class com.eoi.springwebsecurity.<a href="../com/eoi/springwebsecurity/SpringWebSecurityApplication.html" title="class in com.eoi.springwebsecurity">SpringWebSecurityApplication</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/eoi/springwebsecurity/SpringWebSecurityApplicationTests.html" class="type-name-link" title="class in com.eoi.springwebsecurity">SpringWebSecurityApplicationTests</a> - Class in <a href="../com/eoi/springwebsecurity/package-summary.html">com.eoi.springwebsecurity</a></dt>
<dd>
<div class="block">The type Spring web security application tests.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/SpringWebSecurityApplicationTests.html#%3Cinit%3E()" class="member-name-link">SpringWebSecurityApplicationTests()</a> - Constructor for class com.eoi.springwebsecurity.<a href="../com/eoi/springwebsecurity/SpringWebSecurityApplicationTests.html" title="class in com.eoi.springwebsecurity">SpringWebSecurityApplicationTests</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/eoi/springwebsecurity/filemanagement/controllers/DatabaseFileUploadController.html#storageService" class="member-name-link">storageService</a> - Variable in class com.eoi.springwebsecurity.filemanagement.controllers.<a href="../com/eoi/springwebsecurity/filemanagement/controllers/DatabaseFileUploadController.html" title="class in com.eoi.springwebsecurity.filemanagement.controllers">DatabaseFileUploadController</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/eoi/springwebsecurity/filemanagement/controllers/FileController.html#storageService" class="member-name-link">storageService</a> - Variable in class com.eoi.springwebsecurity.filemanagement.controllers.<a href="../com/eoi/springwebsecurity/filemanagement/controllers/FileController.html" title="class in com.eoi.springwebsecurity.filemanagement.controllers">FileController</a></dt>
<dd>
<div class="block">Servicio de almacenamiento de archivos utilizado por el controlador.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/filemanagement/services/DBFileStorageService.html#store(org.springframework.web.multipart.MultipartFile)" class="member-name-link">store(MultipartFile)</a> - Method in class com.eoi.springwebsecurity.filemanagement.services.<a href="../com/eoi/springwebsecurity/filemanagement/services/DBFileStorageService.html" title="class in com.eoi.springwebsecurity.filemanagement.services">DBFileStorageService</a></dt>
<dd>
<div class="block">Store file db.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/streaming/controller/StreamingController.html" class="type-name-link" title="class in com.eoi.springwebsecurity.streaming.controller">StreamingController</a> - Class in <a href="../com/eoi/springwebsecurity/streaming/controller/package-summary.html">com.eoi.springwebsecurity.streaming.controller</a></dt>
<dd>
<div class="block">The type Streaming controller.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/streaming/controller/StreamingController.html#%3Cinit%3E()" class="member-name-link">StreamingController()</a> - Constructor for class com.eoi.springwebsecurity.streaming.controller.<a href="../com/eoi/springwebsecurity/streaming/controller/StreamingController.html" title="class in com.eoi.springwebsecurity.streaming.controller">StreamingController</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/eoi/springwebsecurity/streaming/controller/StreamingController.html#streamingService" class="member-name-link">streamingService</a> - Variable in class com.eoi.springwebsecurity.streaming.controller.<a href="../com/eoi/springwebsecurity/streaming/controller/StreamingController.html" title="class in com.eoi.springwebsecurity.streaming.controller">StreamingController</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/eoi/springwebsecurity/streaming/services/StreamingService.html" class="type-name-link" title="interface in com.eoi.springwebsecurity.streaming.services">StreamingService</a> - Interface in <a href="../com/eoi/springwebsecurity/streaming/services/package-summary.html">com.eoi.springwebsecurity.streaming.services</a></dt>
<dd>
<div class="block">The interface Streaming service.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/streaming/services/StreamingServiceImpl.html" class="type-name-link" title="class in com.eoi.springwebsecurity.streaming.services">StreamingServiceImpl</a> - Class in <a href="../com/eoi/springwebsecurity/streaming/services/package-summary.html">com.eoi.springwebsecurity.streaming.services</a></dt>
<dd>
<div class="block">The type Streaming service.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/streaming/services/StreamingServiceImpl.html#%3Cinit%3E()" class="member-name-link">StreamingServiceImpl()</a> - Constructor for class com.eoi.springwebsecurity.streaming.services.<a href="../com/eoi/springwebsecurity/streaming/services/StreamingServiceImpl.html" title="class in com.eoi.springwebsecurity.streaming.services">StreamingServiceImpl</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">P</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<a href="index-17.html">V</a>&nbsp;<a href="index-18.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../constant-values.html">Constant&nbsp;Field&nbsp;Values</a><span class="vertical-separator">|</span><a href="../serialized-form.html">Serialized&nbsp;Form</a></main>
</div>
</div>
</body>
</html>
